Skip to main content
GET
Get automations report

Authorizations

Authorization
string
header
required

API token in the sk_live_… format.

Query Parameters

page
integer
default:1

Page number, starting at 1. An invalid value is treated as 1.

Required range: x >= 1
perPage
integer
default:20

Number of items per page. The maximum depends on the environment (default 100).

Required range: 1 <= x <= 100
fromDate
string<date-time>

Start of the period analysed. The day starts in your company's time zone.

toDate
string<date-time>

End of the period analysed. The day ends at 23:59:59 in your company's time zone.

contact
string

Search by contact name or number.

automationIds
string

Automation ids, separated by commas.

triggers
string

Trigger types, separated by commas.

statuses
string

Conversation statuses, separated by commas.

source
string
default:automatic

Source of the run.

Response

200 - application/json

OK

data
object[]
meta
object
Example: